<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.purchaseOrder.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Nomor PO<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrder.dateOrder" for="field_dateOrder">Date Order<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_dateOrder" id="field_dateOrder" [(ngModel)]="purchaseOrder.dateOrder" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="field_orderType">Order Type</label>
                        <select class="form-control" id="field_orderType" name="orderType" [(ngModel)]="purchaseOrder.orderTypeId" disabled >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="orderTypeOption.idOrderType" *ngFor="let orderTypeOption of orderTypes; trackBy: trackOrderTypeById">{{orderTypeOption.description}}</option>
                        </select>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="field_statusType">Status</label>
                        <select class="form-control" id="field_statusType" name="statusType" [(ngModel)]="purchaseOrder.currentStatus" disabled>
                            <option [ngValue]="null"></option>
                            <option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Nomor Referensi WO<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">ID Konsumen<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Nama Konsumen<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Nomor Polisi<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Nomor Mesin<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Nomor Rangka<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Tipe Kendaraan<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Tahun Rakit<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
            </div>

            <br><br><br>

            <div class="row">
                <div class="col-sm-12">
                    <h5>Detail Parts</h5>
                    <p-dataTable
                        [value]="purchaseOrders"
                        [editable]="true"
                        [rows]="itemsPerPage"
                        [paginator]="true"
                        [pageLinks]="5"
                        [rowsPerPageOptions]="[10,15,20]"
                        [totalRecords]="totalItems"
                        [responsive]="true"
                        [lazy]="true"
                        dataKey="idOrder"
                        expandableRows="false">
                        <p-column header="Nomor Parts" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Nama Parts" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Stock Available" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Qty Request" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="HET" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Subtotal" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                    </p-dataTable>
                </div>
            </div>
        </div>
    
        <p-footer>
            <button type="button" class="btn btn-primary">
                <span>Create SO</span>
            </button>
            <button type="button" class="btn btn-primary">
                <span>Print</span>
            </button>
            <button type="button" (click)="previousState()" class="btn btn-secondary">
                <span>Back</span>
            </button>
            <button type="button" (click)="cancel()" class="btn btn-primary" disabled>
                <span>Cancel PO</span>
            </button>
            <button type="button" class="btn btn-primary">
                <span>Download PO</span>
            </button>
            <button type="submit" [disabled]="purchaseOrder.idOrder" class="btn btn-primary">
                <span>Submit PO</span>
            </button>
        </p-footer>
    </p-panel>
</form>    